class CompanyAdmin::AccountsController < CompanyAdmin::BaseController
  # Actually provides #edit functionality
  def show
    @user = @current_user
    render :edit
  end
  
  def edit
    @user = @current_user
  end
  
  def update
    @user = @current_user
    if @user.update_attributes(params[:user])
      flash[:notice] = "Account updated!"
      redirect_to company_admin_account_path
    else
      render :action => :edit
    end
  end
end