Talkback::Application.routes.draw do

  # Public resources
  # Default to login screen
  root :to => 'user_sessions#new'
  # Log in, log out
  resource :user_session
  
  # Primary Admin resources
  namespace 'primary_admin' do
    root :to => 'users#index'
    # User Management
    resources :users
  end
  
  # Company Admin resources
  namespace 'company_admin' do
    root :to => 'feedback_boxes#index'
    # Account Management
    resource :account
    # Feedback
    resources :feedback_boxes do
      resources :feedback_comments, :only => [:index]
    end
  end
  
  # Public resources
  resources :widgets, :only => :show do
    resources :feedback_comments, :only => [:new, :create]
  end
end
