class PrimaryAdmin::BaseController < ApplicationController
  before_filter :primary_admin_required
  
  private
    def primary_admin_required
      unless current_user && current_user.is_primary_admin?
        flash[:notice] = "You do not have permission to view that page."
        redirect_to company_admin_root_path and return false
      end
    end
end
