namespace :db do
  desc "Better version of db:reset, required for AuthLogic"
  task :reseed => :environment do
    Rake::Task["db:drop"].execute
    Rake::Task["db:create"].execute
    Rake::Task["db:migrate"].execute
    User.reset_column_information
    Rake::Task["db:seed"].execute
  end
end