Factory.sequence :email do |n|
  "person#{n}@example.com"
end

Factory.define :primary_admin, :class => User do |u|
  u.email { Factory.next(:email) }
  u.company 'Lexipod'
  u.password 'test'
  u.password_confirmation 'test'
  u.roles ['primary_admin']
end

Factory.define :user, :class => User do |u|
  u.email { Factory.next(:email) }
  u.company 'Lexipod'
  u.password 'test'
  u.password_confirmation 'test'
end

# For now, basic users ARE company admins
Factory.define :company_admin, :parent => :user do |u|
end