require 'test_helper'

class CompanyAdmin::FeedbackCommentsControllerTest < ActionController::TestCase
  setup :activate_authlogic
  
  context "A logged in company admin" do
    setup do
      @user = login_as_company_admin
      @feedback_box = Factory(:feedback_box, :user => @user)
      @feedback_comment = Factory(:feedback_comment, :feedback_box => @feedback_box)
    end
    
    should "get index" do
      get :index, :feedback_box_id => @feedback_box.id
      assert_response :success
      assert_not_nil assigns(:feedback_comments)
    end

    # should "get new" do
    #   get :new, :feedback_box_id => @feedback_box.id
    #   assert_response :success
    # end
    # 
    # should "create feedback_comment" do
    #   assert_difference('FeedbackComment.count') do
    #     post :create, { :feedback_box_id => @feedback_box.id, :feedback_comment => { } }
    #   end
    # 
    #   assert_redirected_to edit_company_admin_feedback_box_path(@feedback_box)
    # end

    # should "show feedback_comment" do
    #   get :show, :feedback_box_id => @feedback_box.id, :id => @feedback_comment.to_param
    #   assert_response :success
    # end

    # should "get edit" do
    #   get :edit, :feedback_box_id => @feedback_box.id, :id => @feedback_comment.to_param
    #   assert_response :success
    # end
    # 
    # should "update feedback_comment" do
    #   put :update, :feedback_box_id => @feedback_box.id, :id => @feedback_comment.to_param, :feedback_comment => { }
    #   assert_redirected_to company_admin_feedback_box_feedback_comment_path(feedback_comments(:one), assigns(:feedback_comment))
    # end

    # should "destroy feedback_comment" do
    #   assert_difference('FeedbackComment.count', -1) do
    #     delete :destroy, :feedback_box_id => @feedback_box.id, :id => @feedback_comment.to_param
    #   end
    # 
    #   assert_redirected_to edit_company_admin_feedback_box_path(@feedback_box)
    # end
  end
end
