ENV["RAILS_ENV"] = "test"
require File.expand_path('../../config/environment', __FILE__)
require 'rails/test_help'
require "authlogic/test_case"

class ActiveSupport::TestCase
  # login helper for protected actions
  def login_as user
    UserSession.create(:email => user.email, :password => user.password)
  end
  
  def login_as_primary_admin
    user = Factory(:primary_admin)
    login_as user
    return user
  end
  
  def login_as_company_admin
    user = Factory(:company_admin)
    login_as user
    return user
  end
end
